package com.hh.arome.bean.ampe;

public class AmpeAppletRequestBean {

    private String action;
    private String event;
    private String taskId;
    private ParamsDTO params;

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getEvent() {
        return event;
    }

    public void setEvent(String event) {
        this.event = event;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public ParamsDTO getParams() {
        return params;
    }

    public void setParams(ParamsDTO params) {
        this.params = params;
    }

    public static class ParamsDTO {

        private ExtInfo extInfo;

        public ExtInfo getExtInfo() {
            return extInfo;
        }

        public void setExtInfo(ExtInfo extInfo) {
            this.extInfo = extInfo;
        }

        public static class ExtInfo {
            String scopes;
            String merchantAppId;

            public String getScopes() {
                return scopes;
            }

            public void setScopes(String scopes) {
                this.scopes = scopes;
            }

            public String getMerchantAppId() {
                return merchantAppId;
            }

            public void setMerchantAppId(String merchantAppId) {
                this.merchantAppId = merchantAppId;
            }

            @Override
            public String toString() {
                return "ExtInfo{" +
                        "scopes='" + scopes + '\'' +
                        ", merchantAppId='" + merchantAppId + '\'' +
                        '}';
            }
        }


        private String infoType;
        String serviceId;
        String query;
        String scope = "auth_user";

        public String getInfoType() {
            return infoType;
        }

        public void setInfoType(String infoType) {
            this.infoType = infoType;
        }

        public String getServiceId() {
            return serviceId;
        }

        public void setServiceId(String serviceId) {
            this.serviceId = serviceId;
        }

        public String getQuery() {
            return query;
        }

        public void setQuery(String query) {
            this.query = query;
        }

        public String getScope() {
            return scope;
        }

        public void setScope(String scope) {
            this.scope = scope;
        }


        @Override
        public String toString() {
            return "ParamsDTO{" +
                    "extInfo=" + extInfo +
                    ", infoType='" + infoType + '\'' +
                    ", serviceId='" + serviceId + '\'' +
                    ", query='" + query + '\'' +
                    ", scope='" + scope + '\'' +
                    '}';
        }
    }


    @Override
    public String toString() {
        return "AmpeMiniDevRequestBean{" +
                "action='" + action + '\'' +
                ", event='" + event + '\'' +
                ", taskId='" + taskId + '\'' +
                ", params=" + params +
                '}';
    }
}
